package com.ruoyi.system.domain.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.time.LocalDate;

/**
 * 【请填写功能名称】对象 sys_secret_project
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public class SysSecretProjectDTO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    private Long id;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 过期时间
     */
    private LocalDate overdueDate;

    /**
     * 状态 （1：正常；2：过期；3：临期（离到期时间7天之内））
     */
    private Long status;

    private String statusText;

    /**
     * 是否校验授权(1:是；0：否)
     */
    private Boolean isSwitch;

    private Boolean value;
    /**
     * 标识码
     */
    private String secretKey;

    /**
     * 授权认证类型（1：离线认证；2：在线认证；）
     */
    private String authorityType;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatusText(String statusText) {
        this.statusText = statusText;
    }

    public String getStatusText() {
        return statusText;
    }

    public void setIsSwitch(Boolean isSwitch) {
        this.isSwitch = isSwitch;
    }

    public Boolean getIsSwitch() {
        return isSwitch;
    }

    public void setOverdueDate(LocalDate overdueDate) {
        this.overdueDate = overdueDate;
    }

    public LocalDate getOverdueDate() {
        return overdueDate;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setValue(Boolean value) {
        this.value = value;
    }

    public Boolean getValue() {
        return value;
    }

    public String getAuthorityType() {
        return authorityType;
    }

    public void setAuthorityType(String authorityType) {
        this.authorityType = authorityType;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("projectId", getProjectId())
                .append("projectName", getProjectName())
                .append("overdueDate", getOverdueDate())
                .append("status", getStatus())
                .append("statusText", getStatusText())
                .append("secretKey", getSecretKey())
                .append("isSwitch", getIsSwitch())
                .append("value", getValue())
                .append("authorityType", getAuthorityType())
                .toString();
    }


}
